              Changelog of Samba2.2 Japanese Edition

                                                    Samba Users Group Japan 

   Here is the fix list of Samba2.2 Japanese Edition.
   The sign of each line means:

   *: Fix of Samba Japanese Edition only
   x: Fix of sending a patch to Samba Team
   c: Fix of being commited a patch by Samba Team
   o: Fix of adopting a patch created by Samba team

samba-2.2.8a-ja-1.2alpha3
~~~~~~~~~~~~~~~~~~~~~~~~~
      o Fixed oplocks problem for Linux kernel 2.4 or later
                                                          [sugj-tech:6096]

samba-2.2.8a-ja-1.2alpha2
~~~~~~~~~~~~~~~~~~~~~~~~~
   Changes to the internationalized version
      * Support Kerberos V not only for FreeBSD           [sugj-tech:6030]
      * Adjust some directory specifications for RPM      [sugj-tech:6029]
      * Fixed unavailable winbind auth problem on FreeBSD [sugj-tech:6049]
      * Fixed smbwrapper.64.so problem for 64bit Solaris  [sugj-tech:6048]

   Changes to the original version
      * Suppressed abortion in some commands when resolve order is specified
                                                          [sugj-tech:6031]
      * Fixed unchangeable password problem when Samba is PDC for BSDish OS
                                                          [sugj-tech:6073]

samba-2.2.8a-ja-1.2alpha1
~~~~~~~~~~~~~~~~~~~~~~~~~
   Changes to the internationalized version
      * Fixed unavailable Japanese problem for username in username map
                                                          [samba-jp:15437]

   Changes to the original version
      * Fixed build problem with Mac OS X                 [samba-jp:15461]
      * Fixed unaccessable problem in BSD/OS, Mac OS X    [samba-jp:15472]

samba-2.2.8a-ja-1.1beta9
~~~~~~~~~~~~~~~~~~~~~~~~
   Changes to the internationalized version
      * Fixed build problem with Solaris for Sparc        [sugj-tech:5695]
      * Fixed html conversion problem for swat            [sugj-tech:5696]

samba-2.2.8a-ja-1.1beta8
~~~~~~~~~~~~~~~~~~~~~~~~
   Changes to the original version
      * Fixed ineffective cd(chdir) problem in smbsh      [sugj-tech:5647]
      * Fixed smbsh problem with BSD original csh         [sugj-tech:5649]
      * Added target in Makefile for ipk packages         [sugj-tech:5661]

samba-2.2.8a-ja-1.1beta7
~~~~~~~~~~~~~~~~~~~~~~~~
   Changes to the original version
      * Fixed smbsh problem for Linux except i386         [sugj-tech:5619]
      * Fixed libtool dependence problem with VFS         [sugj-tech:5624]

samba-2.2.8a-ja-1.1beta6
~~~~~~~~~~~~~~~~~~~~~~~~
   Changes to the original version
      * Fixed smbsh problem for some OSs                  [sugj-tech:5562]
      * Fixed libtool dependence problem with VFS         [sugj-tech:5593]
      * Fixed Kerberos V problem                          [sugj-tech:5594]
      * Fixed smbsh problem for Linux except i386         [sugj-tech:5596]

samba-2.2.8a-ja-1.1beta5
~~~~~~~~~~~~~~~~~~~~~~~~
   Changes to the internationalized version
      * Fixed no daemon problem for smbd/nmbd with RPM package
                                                          [sugj-tech:5515]
      * Fixed alternative getpass() problem in configure  [sugj-tech:5522]

   Changes to the original version
      * Fixed huge file problem for Linux/ppc             [sugj-tech:5531]
      * Fixed 64bits shared library problem on Solaris    [sugj-tech:5535]

samba-2.2.8a-ja-1.1beta4
~~~~~~~~~~~~~~~~~~~~~~~~
   Changes to the internationalized version
      * Fixed existent gettext library problem            [sugj-tech:5385]
      * Added -t (specify coding system) option for smbsh [sugj-tech:5476]

   Changes to the original version
      * Suppressed any warnings on Solaris with Forte C   [sugj-tech:5370]
      * Fixed smbsh problem for some OSs                  [sugj-tech:5381]
      * Fixed missing low-level getcwd() problem          [sugj-tech:5415]
      * Fixed timestamp problem for client programs       [sugj-tech:5470]

samba-2.2.8a-ja-1.1beta3
~~~~~~~~~~~~~~~~~~~~~~~~
   Changes to the internationalized version
      * Fixed failure to compile for HP-UX 11.00          [sugj-tech:5320]
      * Fixed failure to compile for Solaris              [sugj-tech:5322]

   Changes to the original version
      * Suppressed any warnings on Solaris                [sugj-tech:5324]
      * Suppressed any warnings on some platforms for PAM [sugj-tech:5328]

samba-2.2.8a-ja-1.1beta2
~~~~~~~~~~~~~~~~~~~~~~~~
   Changes to the original version
      * Fixed ineffective problem of mangling char        [sugj-tech:5308]
      * Fixed shared library problem for IRIX             [sugj-tech:5310]
      * Suppressed any warnings on some platforms         [sugj-tech:5310]

samba-2.2.8a-ja-1.1beta1
~~~~~~~~~~~~~~~~~~~~~~~~
   Changes to the original version
      * Fixed an unsetable problem for group permission from WinXP
                                                          [samba-jp:14786]
      * Fixed NT architecture problem for WinXP/2003 Server
                                                          [samba-jp:14789]
      * Fixed configure problem for Solaris               [samba-jp:14793]
      * Fixed password timeout ploblem with LDAP          [sugj-tech:5299]
      * Fixed missing send/receive ploblem for huge files [samba-jp:14822]
      c Fixed using CIDR of 'hosts allow/deny' parameters [samba-jp:14615]

samba-2.2.8a-ja-1.0
~~~~~~~~~~~~~~~~~~~
   Changes to the internationalized version
      * Fixed permissions for docs/ja/htmldocs/BrowsingFAQ/image/*.gif
                                                          [sugj-tech:5281]

   Changes to the original version
      * Fixed Japanese file name problem for DFS          [samba-jp:14700]

samba-2.2.8a-ja-1.0alpha3
~~~~~~~~~~~~~~~~~~~~~~~~~
   Changes to the original version
      * Fixed the problem which depends on size of off_t  [sugj-tech:5272]

samba-2.2.8a-ja-1.0alpha2
~~~~~~~~~~~~~~~~~~~~~~~~~
   Changes to the original version
      * Fixed unmatched problem for int<->unsigned int    [sugj-tech:5248]
      * Fixed unmatched problem for uint32<->unsigned int [sugj-tech:5253]

samba-2.2.7b-ja-1.0
~~~~~~~~~~~~~~~~~~~
   Changes to the original version
      c Fixed a security problem which is fixed at samba 2.2.8a
                                                          [sugj-tech:5233]
      c Fixed using CIDR of 'hosts allow/deny' parameters [samba-jp:14286]

samba-2.2.8a-ja-1.0alpha1
~~~~~~~~~~~~~~~~~~~~~~~~~
   Changes to the original version
      c Fixed security problems which is fixed at samba 2.2.8a
                                                          [sugj-tech:5234]

samba-2.2.8-ja-1.0alpha3
~~~~~~~~~~~~~~~~~~~~~~~~
   Changes to the original version
      * Fixed memory leak for TDB                         [sugj-tech:5220]

samba-2.2.8-ja-1.0alpha2
~~~~~~~~~~~~~~~~~~~~~~~~
   Changes to the internationalized version
      * Support cross compiling                           [sugj-tech:5217]

   Changes to the original version
      * Fixed uncompilable problem for NIS+               [sugj-tech:5217]

samba-2.2.8-ja-1.0alpha1
~~~~~~~~~~~~~~~~~~~~~~~~
   Changes to the internationalized version
      * Fixed mis-configure which depends on LINGUAS value
                                                          [sugj-tech:5198]
      * Added spec file for RedHat Linux 6.x              [sugj-tech:5198]

   Changes to the original version
      c Fixed using CIDR of 'hosts allow/deny' parameters [samba-jp:14286]
      * Fixed mis-declarations for const and unsigned     [sugj-tech:5214]

samba-2.2.7a-ja-1.1
~~~~~~~~~~~~~~~~~~~
   Changes to the original version
      c Fixed two security problems which is fixed at samba 2.2.8
                                                          [sugj-tech:5211]

samba-2.2.7a-ja-1.0beta1
~~~~~~~~~~~~~~~~~~~~~~~~
   Changes to the internationalized version
      * Fixed build problem when gettext 0.11.x installed [sugj-tech:5177]
      * Fixed memory leak of winbindd                     [sugj-tech:5152]
      * Added 'ldap referrals' parameter                  [sugj-tech:5124]
      * Fixed parameter of 'printing' was set on FreeBSD  [sugj-tech:5155] 
      * Fixed reseting parameters of smbd and nmbd by SIGHUP
                                                          [sugj-tech:5160]
      * Fixed setting change of the 'printing' parameter works together 
        with print-related parameters                     [sugj-tech:5155] 
      * Fixed error message when old getgroups() is used  [sugj-tech:5166]
      * Fixed warning message when leap second is set     [sugj-tech:5166]
      * Fixed altname command of smbclient                [sugj-tech:5019] 
      * Fixed close share command of smbcontrol with Japanese
                                                          [sugj-tech:5014]
      * Fixed compile problem on Tru64 UNIX               [sugj-tech:5033]
      * Fixed compile problem of tdb directory            [sugj-tech:5033]
      * Fixed to enable domain logon to Japanese domain name
                                                          [sugj-tech:5043]
      * Fixed smbspool command with Japanese              [sugj-tech:5048,5112]
      * Fixed recycle.c of VFS module                     [samba-jp:13590]
      * Fixed memory allocation of make_printerdef        [sugj-tech:5106]
      * Fixed compile problem before FreeBSD 2.2.8        [sugj-tech:5112]
      * Fixed querydispinfo command of rpcclient          [sugj-tech:5112]
      * Fixed rpcclient for Japanese resource             [sugj-tech:5112]
      * Changed option of client tools from '-t' to '-T'  [sugj-tech:5077]
      * Update smbchartool and removed jcode.pl           [sugj-tech:5091] 
      * Fixed encoding when using euc3 coding system      [sugj-tech:5122]     

samba-2.2.5-ja-1.0beta3
~~~~~~~~~~~~~~~~~~~~~~~
   Changes to the internationalized version
      * Added %j macro which means printing job name       [sugj-tech:4998]

   Changes to the original version
      * Fixed counting characters of unistr_to_dos()       [sugj-tech:5004]
      * Fixed compile problem with --with-quotas on NetBSD [sugj-tech:4965]

samba-2.2.4-ja-1.0
~~~~~~~~~~~~~~~~~~
   Changes to the internationalized version
      * Fixed a problem can't use multibyte characters when charset
        was set to "ISO-8859"                            [sugj-tech:4835,4915]
      * Fixed share name with Japanese by using smbstatus
                                                         [sugj-tech:4888]
      * Fixed MS-DOS file name was illegal               [sugj-tech:4885]
      * Fixed username map function with Japanese mapping
      * Fixed smbclient can connect with Japanese user name
      * Fixed winbind user which name includes Japanese can use 
        user home directory 
      * Fixed some client tools with -t option           [sugj-tech:4899]
      * Fixed smbpasswd with Japanese                    [sugj-tech:4899,4911]
      * Added -t option to nmblookup, smbpasswd, smbstatus
                                                         [sugj-tech:4906]
      * Fixed domain name can include ')' character      [sugj-tech:4906]

   Changes to the original version
      c Fixed buffer overflow with --with-tdbsam  
                                               [samba-jp:13058, sugj-tech:4924]
      * Fixed printed job status by using LPRng          [sugj-tech:4544, 4893]
      * Fixed domain logon with Japanese domain name     [sugj-tech:4899]
      * Fixed -R option of smbpasswd			 [sugj-tech:4906]

samba-2.2.4-ja-1.0beta2
~~~~~~~~~~~~~~~~~~~~~~~
   Changes to the internationalized version
      * Fixed smbclient with Japanese resource name      [sugj-tech:4684]
      * Fixed display volume label with Japanese         [sugj-tech:4684]
      * Fixed resource name with browsing                [sugj-tech:4559]    
      * Fixed making a file when its name can't covert to SJIS 
                                                         [sugj-tech:4618]
      * Fixed build problem with --with-ssl option       [sugj-tech:4691]
      * Fixed build problem with --with-ssllib option    [sugj-tech:4667]
      * Fixed install problem with --with-libsmbclient option
                                                         [sugj-tech:4733]
      * Fixed build problem LANG is set "ja", this cause warning on HP-UX
                                                         [sugj-tech:4802]
      * Improved smbd/dir.c implementation               [sugj-tech:4814,4820]
      * Improved winbindd can use user name with Japanese 
                                                         [sugj-tech:4821]
      * Improved implementation where "cast" was used    [sugj-tech:4790,4814]
      * Removed Japanese messages of client tools        [sugj-tech:4625]

   Changes to the original version
      c Fixed buffer overflow in csc_policy structure    [sugj-tech:4724]
      * Improved veto_file operation                     [sugj-tech:4592]
      * Fixed make_printerdef with blank lines           [sugj-tech:4520] 

samba-2.2.2-ja-1.1
~~~~~~~~~~~~~~~~~~
   Changes to the internationalized version
      * Fixed utmp_strcpy function with NULL pointer.    [samba-jp:11628]
      * Fixed install script.                  [samba-jp:11637, sugj-tech:4444]
      * Set exec permission to source/install-sh, source/mkinstalldirs, 
        source/script/mkinstalldirs.                     [samba-jp:11633,11643]
      * Added link of UsingSamba(Japanese).              [samba-jp:11804]
      * Fixed the Japanese help message of smbclient. 

   Changes to the original version
      c Fixed %G macro to be available                   [sugj-tech:4467]  
      c Fixed typo of smbwrapper/smbw.c                  [samba-jp:11584]
      c Fixed LDSHFLAG of Solaris to "-G"                [samba-jp:11578]
      c Fixed log message when status page is selected via SWAT.
                                                         [samba-jp:11659]
      c Fixed a compile problem on RedHat Linux 7.x or Turbo Linux 7.

samba-2.2.2-ja-1.0
~~~~~~~~~~~~~~~~~~
   Changes to the internationalized version
      * Fixed ms_fnmatch function, when filename includes Japanese, 
        wildcard of smbclient's mput command doesn't match the file.
                                                         [sugj-tech:4406]
      * Changed proto.h to compile for NEWS-OS 4.x.      [sugj-tech:4431]

samba-2.2.2-ja-0.6
~~~~~~~~~~~~~~~~~~
   Changes to the internationalized version
      * Fixed compile problems, in order to compile using gcc on NEWS OS.
                                                         [sugj-tech:4301,4303]
      * Modified to use valid code translation table on Mac OS X.
                                                         [sugj-tech:4314]
      * Added a patch of "recycle bin"                   [sugj-tech:4366]
      * Fixed compile problems, in order to compile using make on FreeBSD.
                                                         [samba-jp:11318]
      * Added examples/smbchartool ver2.2.

   Changes to the original version
      * Modified last characters of utmp structure is not NULL. 
                                                         [sugj-tech:4326]
      * Modified from a " character to a ' character when smbd calls a shell. 
                                                         [sugj-tech:4301]

samba-2.2.2-ja-0.5
~~~~~~~~~~~~~~~~~~
   Changes to the internationalized version
      * Fixed a problem which Win9x clients can not access to the long
        share name.                                      [sugj-tech:4276]
      * Fixed a problem when a long share name was set from SWAT.
                                                         [sugj-tech:4276]
      * Fixed a problem which a volume label which was set in smb.conf 
        is cutted when Win9x clients was accessed.       [sugj-tech:3478]

   Changes to the original version
      c Fixed a problem that translation of multibyte characters
        is wrong in unistr2_to_ascii.                    [sugj-tech:4296]

samba-2.2.1a-ja-0.4
~~~~~~~~~~~~~~~~~~~
   Changes to the original version
      * Reapplied a patch of loadparm.c which was not applied correctly. 
                                                         [sugj-tech:4093,4220]
      * Deleted some source files which were included in 2.2.0
                                                         [sugj-tech:4227]

samba-2.2.1a-ja-0.3
~~~~~~~~~~~~~~~~~~~
   Changes to the internationalized version
      * Fiexed a bug that when the strings is ShiftJIS and equal 1st byte 
        character it does not compare 2nd byte character in StrCmp(). 
	                                                 [sugj-tech:4077,4078] 
      * Fixed a install script                           [sugj-tech:4088]
      * Fixed in order to compile on NEWS OS             [sugj-tech:4089,4093]
      * Fixed Japanese message catalog for gettext       [sugj-tech:4089,4093]
      * Deleted illegal debug message                    [sugj-tech:4093]

   Changes to the original version
      * Fixed that SWAT displays name of item which are descrived as "synonym" 
        in man pages.                                    [sugj-tech:4093]

samba-2.2.1a-ja-0.2
~~~~~~~~~~~~~~~~~~~
   Changes to the internationalized version
      * It was implemented equality function of samba-2.0.10-ja-1.1
                                                         [sugj-tech:4075]
samba-2.2.1a-ja-0.1
~~~~~~~~~~~~~~~~~~~
   Changes to the internationalized version
      * Internationalized SWAT is available              [sugj-tech:4068]
      * Fiexed for file and directory name treatment of Japanese machine 
        dependent characters                             [sugj-tech:4068]
      * Japanese is available for netbios name           [sugj-tech:4068]
